import type { ExtractPropTypes } from 'vue';
export declare const paginationProps: {
    modelValue: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    count: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    } & {
        required: true;
    };
    limit: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    limitList: import("vue-types").VueTypeDef<number[]> & {
        default: () => number[];
    };
    showLimit: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    type: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    location: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    align: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    small: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    showTotalCount: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    prevText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    nextText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    layout: import("vue-types").VueTypeDef<string[]> & {
        default: () => string[];
    };
};
export type PaginationProps = Readonly<ExtractPropTypes<typeof paginationProps>>;
declare const _default: import("vue").DefineComponent<ExtractPropTypes<{
    modelValue: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    count: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    } & {
        required: true;
    };
    limit: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    limitList: import("vue-types").VueTypeDef<number[]> & {
        default: () => number[];
    };
    showLimit: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    type: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    location: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    align: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    small: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    showTotalCount: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    prevText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    nextText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    layout: import("vue-types").VueTypeDef<string[]> & {
        default: () => string[];
    };
}>, {
    totalPageNum: import("vue").Ref<number, number>;
    renderTotal: ({ isFirst, isLast }: {
        isFirst: any;
        isLast: any;
    }) => JSX.Element;
    renderList: ({ isFirst, isLast }: {
        isFirst: any;
        isLast: any;
    }) => JSX.Element;
    renderLimit: ({ isFirst, isLast }: {
        isFirst: any;
        isLast: any;
    }) => JSX.Element;
    renderSmallList: () => JSX.Element;
    resolveClassName: (cls: string) => string;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:modelValue" | "update:limit" | "limitChange")[], "change" | "update:modelValue" | "update:limit" | "limitChange", import("vue").PublicProps, Readonly<ExtractPropTypes<{
    modelValue: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    count: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    } & {
        required: true;
    };
    limit: import("vue-types").VueTypeValidableDef<number, import("vue-types/dist/shared/vue-types.d8e57a80").b<number>> & {
        default: number;
    } & {
        default: number;
    };
    limitList: import("vue-types").VueTypeDef<number[]> & {
        default: () => number[];
    };
    showLimit: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    type: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    location: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    align: import("vue-types").VueTypeDef<string> & {
        default: string;
    };
    small: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    showTotalCount: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    prevText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    nextText: import("vue-types").VueTypeValidableDef<string, import("vue-types/dist/shared/vue-types.d8e57a80").b<string>> & {
        default: string;
    };
    disabled: import("vue-types").VueTypeValidableDef<boolean, import("vue-types/dist/shared/vue-types.d8e57a80").b<boolean>> & {
        default: boolean;
    };
    layout: import("vue-types").VueTypeDef<string[]> & {
        default: () => string[];
    };
}>> & Readonly<{
    onChange?: (...args: any[]) => any;
    "onUpdate:modelValue"?: (...args: any[]) => any;
    "onUpdate:limit"?: (...args: any[]) => any;
    onLimitChange?: (...args: any[]) => any;
}>, {
    location: string;
    type: string;
    small: boolean;
    layout: string[];
    disabled: boolean;
    count: number;
    modelValue: number;
    align: string;
    prevText: string;
    nextText: string;
    limit: number;
    limitList: number[];
    showLimit: boolean;
    showTotalCount: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
